This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/benchmarking
in repository toolchain/abe.
commit e8e7072e766ed886d9ba03ea389e8c1f60602a13
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Thu Jul 30 12:30:29 2015 +0200
Generate onetime key at default location
Makes it easy for git to use it for checkouts - otherwise we
have to create an ssh config entry for each server.
Change-Id: Ieb1fa41a012e4119ee7dc5a87250372d94382f16
---
config/bench/lava/host-session | 13 +++++++------
1 file changed, 7 insertions(+), 6 deletions(-)
diff --git a/config/bench/lava/host-session b/config/bench/lava/host-session
index 2341e15..2dc80c7 100755
--- a/config/bench/lava/host-session
+++ b/config/bench/lava/host-session
@@ -49,17 +49,18 @@ ln /usr/share/doc/git/contrib/workdir/git-new-workdir /usr/local/bin
chmod 755 /usr/local/bin/git-new-workdir
#Generate one-time key
-mkdir ~/data || exit 1
-if ! ssh-keygen -P '' -f ~/data/onetime > /dev/null < /dev/null; then
- rm -rf ~/data
+if ! ssh-keygen -P '' -f ~/.ssh/id_rsa > /dev/null < /dev/null; then
exit 1
fi
eval `ssh-agent`
-ssh-add ~/data/onetime
+ssh-add ~/.ssh/id_rsa
+
+#Create directory for communication with other hosts
+mkdir ~/data || exit 1
#Need to be able to ssh to self to get local sources
#Can reuse the onetime key for this
-cat ~/data/onetime.pub >> ~/.ssh/authorized_keys
+cat ~/.ssh/id_rsa.pub >> ~/.ssh/authorized_keys
echo -n 'localhost ' >> ~/.ssh/known_hosts
cat /etc/ssh/ssh_host_ecdsa_key.pub >> ~/.ssh/known_hosts
@@ -88,7 +89,7 @@ for lava_name in `lava-group | grep -v '[[:blank:]]*host$' | awk [...]
#Check that target is accessible, add it to our known_hosts,
#add our one-time key to its authorized_keys
- if ! cat ~/data/onetime.pub | SSH_AUTH_SOCK=~/data/socket ssh -o StrictHostKeyCh [...]
+ if ! cat ~/.ssh/id_rsa.pub | SSH_AUTH_SOCK=~/data/socket ssh -o StrictHostKeyChe [...]
echo "Could not access target ${target_ip} (${lava_name})" >&2
exit 1
fi
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/benchmarking
in repository toolchain/abe.
commit 09d13a843985f9b522436a0f646fbf18b6f2babb
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Thu Jul 30 12:20:41 2015 +0200
Fix sed rune, git clone for source location
Sed:
Match ${benchmark}.git, include ${benchmark} in the output,
and remove a redundant space.
Git:
Clone to ${benchmark}.git, as abe expects, not to ${benchmark}.
Change-Id: Ie45f04111eeb02ec9572969fbffe16ec03478374
---
config/bench/lava/host-session | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/config/bench/lava/host-session b/config/bench/lava/host-session
index e443445..15f8766 100755
--- a/config/bench/lava/host-session
+++ b/config/bench/lava/host-session
@@ -78,9 +78,9 @@ while ! test -e ~/data/socket; do
inotifywait -e create ~/data
done
#Best practice would be to use abe to do this, but I hope this is temporary
-SSH_AUTH_SOCK=~/data/socket git clone "`grep ${benchmark} ${ABE_DIR}/config/source [...]
+SSH_AUTH_SOCK=~/data/socket git clone "`grep ${benchmark} ${ABE_DIR}/config/source [...]
#An alternative to the following would be to pass ${benchmark}=ssh://... to abe.sh
-sed -i "s#^\\(${benchmark}[[:blank:]]\\+\\).*#\\1 ssh://localhost/~/benchsrc/#" "$ [...]
+sed -i "s#^\\(${benchmark}\\.git[[:blank:]]\\+\\).*#\\1ssh://localhost/~/benchsrc/ [...]
target_names=()
for lava_name in `lava-group | grep -v '[[:blank:]]*host$' | awk '{print $1}'`; do
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/benchmarking
in repository toolchain/abe.
commit 5e1361a36371d3868973042283e66871b1cdef83
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Thu Jul 30 12:21:57 2015 +0200
Fix addition of localhosts to known_hosts
If we skip host key authentication for localhost, it doesn't get
added to known_hosts. This appeared to be working because all
testing to date was with fakebench, and the substitution in
sources.conf was broken, so abe was in fact getting fakebench from
git.l.o.
Change-Id: I8e850f43e938dd940b02380f6a2d22005828b92e
---
config/bench/lava/host-session | 6 ++----
1 file changed, 2 insertions(+), 4 deletions(-)
diff --git a/config/bench/lava/host-session b/config/bench/lava/host-session
index 15f8766..2341e15 100755
--- a/config/bench/lava/host-session
+++ b/config/bench/lava/host-session
@@ -60,10 +60,8 @@ ssh-add ~/data/onetime
#Need to be able to ssh to self to get local sources
#Can reuse the onetime key for this
cat ~/data/onetime.pub >> ~/.ssh/authorized_keys
-if ! ssh -o NoHostAuthenticationForLocalhost=yes localhost true; then
- echo "Failed to ssh to self" >&2
- exit 1
-fi
+echo -n 'localhost ' >> ~/.ssh/known_hosts
+cat /etc/ssh/ssh_host_ecdsa_key.pub >> ~/.ssh/known_hosts
#Generate config file for each target in multinode job
lava-network broadcast eth0
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch bernie/benchmarking
in repository toolchain/abe.
omits 40e644e Put dev-private public host key into known_hosts
omits d50572c Generate onetime key at default location
omits 5ee8ea0 Fix addition of localhosts to known_hosts
omits 62eed5d Fix sed rune to update sources.conf
new 09d13a8 Fix sed rune, git clone for source location
new 5e1361a Fix addition of localhosts to known_hosts
new e8e7072 Generate onetime key at default location
new aa9a702 Put dev-private public host key into known_hosts
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (40e644e)
\
N -- N -- N refs/heads/bernie/benchmarking (aa9a702)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omits" are not gone; other references still
refer to them. Any revisions marked "discards" are gone forever.
The 4 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
config/bench/lava/host-session | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/fs
in repository toolchain/abe.
commit 223716685ff79be3ecaca2e08044e34d61bfec2a
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 29 16:21:13 2015 +0200
Add some comments
Change-Id: Ib141f404240910da8ebf9829a8680f8ee93c4dc1
---
config/bench/fs/makefs.sh | 3 +++
1 file changed, 3 insertions(+)
diff --git a/config/bench/fs/makefs.sh b/config/bench/fs/makefs.sh
index 8e00c91..d8c4298 100755
--- a/config/bench/fs/makefs.sh
+++ b/config/bench/fs/makefs.sh
@@ -41,6 +41,8 @@ function derivevars {
echo "${tarball} already exists" >&2
exit 1
fi
+
+ #Assumes host machine is x86_64
if test x"${arch}" = "xx86-64"; then
foreign=
else
@@ -71,6 +73,7 @@ function genrootfs {
#This depends on the relevant kernel magic being in place to execute
#arm/aarch64 code on qemu, and the relevant qemu being installed
+ #Debian: apt-get install binfmt-support qemu-user-static
if test x"${foreign:-}" != x; then
sudo /usr/sbin/debootstrap --second-stage --second-stage-target="${outdir}"
fi
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/fs
in repository toolchain/abe.
commit 97b20f3c1de1f37727d34a620bacdaae5be838ca
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 29 17:44:57 2015 +0200
Add inotify-tools to the default package set
Change-Id: I98c428ee645255e0e0ec49186535b547c28ba03e
---
config/bench/fs/makefs.sh | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/config/bench/fs/makefs.sh b/config/bench/fs/makefs.sh
index 4aa00ca..92dabb5 100755
--- a/config/bench/fs/makefs.sh
+++ b/config/bench/fs/makefs.sh
@@ -23,7 +23,7 @@ fi
export stamp=20150607T041354Z
export suite=jessie
export variant=minbase
-export include=openssh-server,wget,make,cpufrequtils
+export include=openssh-server,wget,cpufrequtils,inotify-tools
export label=target
export hash="`git rev-parse HEAD`"
if test $? -ne 0; then
@@ -133,7 +133,7 @@ function genrootfs {
( #kvm host - many of the extras are abe dependencies, it will not configure witho [...]
arch=x86_64
label=host
- extras=autogen,binutils,bison,dejagnu,flex,gawk,gcc,gcc-multilib,g++-multilib,gi [...]
+ extras=autogen,binutils,bison,dejagnu,flex,gawk,gcc,gcc-multilib,g++-multilib,gi [...]
derivevars
gentar
genrootfs
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/fs
in repository toolchain/abe.
commit fe8fe67787e9a52a581bd0f8e1282f47190582ad
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 29 16:20:29 2015 +0200
Allow selection of what to produce
The tarball, the chroot or (by default) both.
Change-Id: I9e75219a5a87b2a64ddd7f10ac3faa3da2ae3273
---
config/bench/fs/makefs.sh | 28 +++++++++++++++++++++-------
1 file changed, 21 insertions(+), 7 deletions(-)
diff --git a/config/bench/fs/makefs.sh b/config/bench/fs/makefs.sh
index d8c4298..976b23e 100755
--- a/config/bench/fs/makefs.sh
+++ b/config/bench/fs/makefs.sh
@@ -25,19 +25,32 @@ if test $? -ne 0; then
exit 1
fi
-export nosudo=${1:-}
+make_tarball=1 #create a tarball?
+make_chroot=1 #create a chroot (from the tarball)?
+while getopts TC flag; do
+ case "${flag}" in
+ T) make_tarball=0;;
+ C) make_chroot=0;;
+ esac
+done
function derivevars {
echo ${arch:?Must give arch} > /dev/null
echo ${label:?Must give label} > /dev/null
extras="${include}${extras:+,${extras}}"
outdir="${label}-${suite}-${variant:+${variant}-}${arch}-${stamp}-${hash}"
- tarball="${outdir}.tar.gz"
- if test -e "${outdir}"; then
- echo "${outdir} already exists" >&2
- exit 1
+ tarball="${outdir}.tgz" #debootstrap insists on .tar or .tgz
+ if test ${make_chroot} -ne 0; then
+ if test -e "${outdir}"; then
+ echo "${outdir} already exists" >&2
+ exit 1
+ fi
+ if ! test -e ${tarball}; then
+ echo "${tarball} does not exist, cannot generate chroot" >&2
+ exit 1
+ fi
fi
- if test -e "${tarball}"; then
+ if test ${make_tarball} -ne 0 && test -e "${tarball}"; then
echo "${tarball} already exists" >&2
exit 1
fi
@@ -51,6 +64,7 @@ function derivevars {
}
function gentar {
+ if test ${make_tarball} -eq 0; then return 0; fi
/usr/sbin/debootstrap --make-tarball="${tarball}" \
${variant:+--variant="${variant}"} \
--include="${extras}" \
@@ -59,7 +73,7 @@ function gentar {
}
function genrootfs {
- if test x"${nosudo}" != x; then return 0; fi
+ if test ${make_chroot} -eq 0; then return 0; fi
#This command sets a mirror just in case we need to get anything
#from the net - but, IIUC, it should not be used.
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/fs
in repository toolchain/abe.
commit 8290e58b7c4dd484f5700811dd58a26d9d427c56
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 29 17:26:51 2015 +0200
Allow user to override 'local changes' check
Change-Id: I02f150da61b1867f284210e17102956fad40d661
---
config/bench/fs/makefs.sh | 8 +++++++-
1 file changed, 7 insertions(+), 1 deletion(-)
diff --git a/config/bench/fs/makefs.sh b/config/bench/fs/makefs.sh
index 976b23e..67806f7 100755
--- a/config/bench/fs/makefs.sh
+++ b/config/bench/fs/makefs.sh
@@ -10,7 +10,13 @@ if git status -sb --porcelain | head -n1 | grep -q '\]$'; then
exit 1
elif test x"`git status -sb --porcelain | sed 1d`" != x; then
echo "Repository has local changes" >&2
- exit 1
+ REPLY=
+ while ! echo "${REPLY}" | grep -qi [yn]; do
+ read -sn1 -p "Continue anyway? (y/n) " >&2
+ done
+ if test x"${REPLY,,}" = xn; then
+ exit 1
+ fi
fi
#All of these variables MUST be defined and non-empty
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/fs
in repository toolchain/abe.
commit f5e0daf848b0678691b2e16c6487e640aa394d5f
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 29 17:44:04 2015 +0200
Use full paths for tarballs
Change-Id: I2c07be9256482713af9d485b367dfa35f6370189
---
config/bench/fs/makefs.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/config/bench/fs/makefs.sh b/config/bench/fs/makefs.sh
index 67806f7..4aa00ca 100755
--- a/config/bench/fs/makefs.sh
+++ b/config/bench/fs/makefs.sh
@@ -45,7 +45,7 @@ function derivevars {
echo ${label:?Must give label} > /dev/null
extras="${include}${extras:+,${extras}}"
outdir="${label}-${suite}-${variant:+${variant}-}${arch}-${stamp}-${hash}"
- tarball="${outdir}.tgz" #debootstrap insists on .tar or .tgz
+ tarball="`pwd`/${outdir}.tgz" #debootstrap insists on .tar or .tgz, and full paths
if test ${make_chroot} -ne 0; then
if test -e "${outdir}"; then
echo "${outdir} already exists" >&2
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.